separate commands for mirror (
what would be the best way to have two separate commands for the two mirror options, erase source object "yes" and "no"?say i wanted MM for mirror 'yes' and MN for mirror 'no' but still wanted the commands to stay the same, i.e. select objects, first point of line etc.
i reckon with this customisation i could be looking at saving around 20 seconds of work every day. highly worthwhile i'm sure you'll agree. :wink: (defun c:M1 (/ ss) (if (setq ss (ssget "_:L")) (command "_.mirror" ss "" PAUSE PAUSE "_Y") ) (princ))(defun c:M2 (/ ss) (if (setq ss (ssget "_:L")) (command "_.mirror" ss "" PAUSE PAUSE "_N") ) (princ)) wow, superfast, thanks alan. can you please explain what the _:L means?
i understand the rest, well mostly. does it tell the CAD gremlins what is being selected? LoL, pretty much. It just tells the ssget function to ignore objects on locked layers. and naturally, it works like a dream. thanks! Welcome.......
页:
[1]